<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: Thumb Ratings
| Type: Infusion
| File: thumb_ratings_panel_admin.php
| Version: 1.0
| Author and Developer: Ankur Thakur
| Site: http://ankurthakur.in
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at http://www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include LOCALE.LOCALESET."admin/settings.php";

if (!checkrights("TR")||!defined("iAUTH")||$_GET['aid']!=iAUTH) { redirect("../index.php"); }

if (file_exists(INFUSIONS."thumb_ratings_panel/locale/".$settings['locale'].".php")) {
   include INFUSIONS."thumb_ratings_panel/locale/".$settings['locale'].".php";
     } else {
   include INFUSIONS."thumb_ratings_panel/locale/English.php"; 
}

// Manual Function to Check for New Version of Addon - Ankur Thakur
function version_checker($cur_version, $url, $addon_name)
{
	global $locale;
	$version = 0;
	// Loading XML
	$xml = simplexml_load_file($url);
	foreach($xml->addon as $addon) {
		if($addon['name'] == $addon_name)
		{	$version = $addon['version'];
			$link = $addon->link;	}
	}
	if($cur_version < $version) {
		echo "\n<div align='center' style='padding: 5px; border: 1px solid #000;'><a href='".$link."' target='_blank'><font color='#ff0000'><b>* ".$addon_name.$locale['ds_author1'].$version.$locale['ds_author2']."</b></font></a></div><br />\n";
	}
	else {
		echo "<div align='center' style='padding: 5px; border: 1px solid #000;'><b><font color='#ff0000'>".$locale['ds_no_updates']."</font></b></div><br />";
		}
}

include INFUSIONS."thumb_ratings_panel/infusion_db.php";

// Version Checker
if (isset($_GET['checkupdate']) && isnum($_GET['checkupdate']) && $_GET['checkupdate'] == 1) {
version_checker(1.0, 'http://ankurthakur.in/infusions/dev_showcase/addons.xml', $locale['tr_title']);
}

// Saving Settings
if (isset($_POST['save_settings']))
{
	$result1 = dbquery("UPDATE ".DB_SETTINGS_INF." SET settings_value='".stripinput($_POST['tr_photo_enabled'])."' WHERE settings_name='tr_photo_enabled'");
	$result2 = dbquery("UPDATE ".DB_SETTINGS_INF." SET settings_value='".stripinput($_POST['tr_photo_position'])."' WHERE settings_name='tr_photo_position'");
	$result3 = dbquery("UPDATE ".DB_SETTINGS_INF." SET settings_value='".stripinput($_POST['tr_photo_text'])."' WHERE settings_name='tr_photo_text'");
	$result4 = dbquery("UPDATE ".DB_SETTINGS_INF." SET settings_value='".stripinput($_POST['tr_article_enabled'])."' WHERE settings_name='tr_article_enabled'");
	$result5 = dbquery("UPDATE ".DB_SETTINGS_INF." SET settings_value='".stripinput($_POST['tr_article_position'])."' WHERE settings_name='tr_article_position'");
	$result6 = dbquery("UPDATE ".DB_SETTINGS_INF." SET settings_value='".stripinput($_POST['tr_article_text'])."' WHERE settings_name='tr_article_text'");
	$result7 = dbquery("UPDATE ".DB_SETTINGS_INF." SET settings_value='".stripinput($_POST['tr_news_enabled'])."' WHERE settings_name='tr_news_enabled'");
	$result8 = dbquery("UPDATE ".DB_SETTINGS_INF." SET settings_value='".stripinput($_POST['tr_news_position'])."' WHERE settings_name='tr_news_position'");
	$result9 = dbquery("UPDATE ".DB_SETTINGS_INF." SET settings_value='".stripinput($_POST['tr_news_text'])."' WHERE settings_name='tr_news_text'");
	if (!$result1 || !$result2 || !$result3 || !$result4 || !$result5 || !$result6 || !$result7 || !$result8 || !$result9)
	{
		redirect(FUSION_SELF.$aidlink."&error=1");
	}
	else {	redirect(FUSION_SELF.$aidlink."&error=0");	}
}

// Title goes Here
opentable($locale['tr_title']." - ".$locale['400']);

// Database Settings
// Fetching Database Settings
$trsettings = array();
$result = dbquery("SELECT * FROM ".DB_SETTINGS_INF." WHERE settings_inf='thumb_ratings_panel'");
if (dbrows($result)) {
	while ($data = dbarray($result)) {
		$trsettings[$data['settings_name']] = $data['settings_value'];
	}
}

// Creating Info for Errors
if (isset($_GET['error']) && isnum($_GET['error'])) {
	if ($_GET['error'] == 0) {
		$message = $locale['900'];
	} elseif ($_GET['error'] == 1) {
		$message = $locale['901'];
	}
	if (isset($message)) {
		echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; 
	}
}

		// Settings Form
		echo "<form name='settings' method='post' action='".FUSION_SELF.$aidlink."'>\n";
		echo "<table cellpadding='0' cellspacing='0' align='center' style='padding: 5px;'>\n";
		// Label for Photo Settings
		echo "<tr>\n";
		echo "<td style='border-bottom: 1px solid #000; padding: 5px;'>".$locale['tr_sett_01'].$locale['tr_sett_01a']."</td>\n";
		echo "</tr>\n";
		// Enabled or Not ?
		echo "<tr>\n";
		echo "<td class='tbl2' style='padding: 5px;'>".$locale['tr_photo_01']."</td>\n";
		echo "<td class='tbl2' style='padding: 5px;'>: <select name='tr_photo_enabled' class='textbox'>\n";
		echo "<option value='0'".($trsettings['tr_photo_enabled'] == "0" ? " selected='selected'" : "").">".$locale['tr_photo_01b']."</option>\n";
		echo "<option value='1'".($trsettings['tr_photo_enabled'] == "1" ? " selected='selected'" : "").">".$locale['tr_photo_01a']."</option>\n";
		echo "</select>\n</td>\n</tr>\n";
		// Position
		echo "<tr>\n";
		echo "<td class='tbl2' style='padding: 5px;'>".$locale['tr_photo_02']."</td>\n";
		echo "<td class='tbl2' style='padding: 5px;'>: <select name='tr_photo_position' class='textbox'>\n";
		echo "<option value='0'".($trsettings['tr_photo_position'] == "0" ? " selected='selected'" : "").">".$locale['tr_photo_02a']."</option>\n";
		echo "<option value='1'".($trsettings['tr_photo_position'] == "1" ? " selected='selected'" : "").">".$locale['tr_photo_02b']."</option>\n";
		echo "</select>\n</td>\n</tr>\n";
		// Text to Display
		echo "<tr>\n";
		echo "<td class='tbl2' style='padding: 5px;'>".$locale['tr_photo_03']."</td>\n";
		echo "<td class='tbl2' style='padding: 5px;'>: <input type='text' value='".$trsettings['tr_photo_text']."' name='tr_photo_text' maxlength='100' size='50' /></td>";
		echo "</tr>\n";
		// Label for Article Settings
		echo "<tr>\n";
		echo "<td style='border-bottom: 1px solid #000; padding: 5px;'>".$locale['tr_sett_01'].$locale['tr_sett_01b']."</td>\n";
		echo "</tr>\n";
		// Enabled or Not ?
		echo "<tr>\n";
		echo "<td class='tbl2' style='padding: 5px;'>".$locale['tr_photo_01']."</td>\n";
		echo "<td class='tbl2' style='padding: 5px;'>: <select name='tr_article_enabled' class='textbox'>\n";
		echo "<option value='0'".($trsettings['tr_article_enabled'] == "0" ? " selected='selected'" : "").">".$locale['tr_photo_01b']."</option>\n";
		echo "<option value='1'".($trsettings['tr_article_enabled'] == "1" ? " selected='selected'" : "").">".$locale['tr_photo_01a']."</option>\n";
		echo "</select>\n</td>\n</tr>\n";
		// Position
		echo "<tr>\n";
		echo "<td class='tbl2' style='padding: 5px;'>".$locale['tr_photo_02']."</td>\n";
		echo "<td class='tbl2' style='padding: 5px;'>: <select name='tr_article_position' class='textbox'>\n";
		echo "<option value='0'".($trsettings['tr_article_position'] == "0" ? " selected='selected'" : "").">".$locale['tr_art_01a']."</option>\n";
		echo "<option value='1'".($trsettings['tr_article_position'] == "1" ? " selected='selected'" : "").">".$locale['tr_art_01b']."</option>\n";
		echo "</select>\n</td>\n</tr>\n";
		// Text to Display
		echo "<tr>\n";
		echo "<td class='tbl2' style='padding: 5px;'>".$locale['tr_photo_03']."</td>\n";
		echo "<td class='tbl2' style='padding: 5px;'>: <input type='text' value='".$trsettings['tr_article_text']."' name='tr_article_text' maxlength='100' size='50' /></td>";
		echo "</tr>\n";
		// Label for News Settings
		echo "<tr>\n";
		echo "<td style='border-bottom: 1px solid #000; padding: 5px;'>".$locale['tr_sett_01'].$locale['tr_sett_01c']."</td>\n";
		echo "</tr>\n";
		// Enabled or Not ?
		echo "<tr>\n";
		echo "<td class='tbl2' style='padding: 5px;'>".$locale['tr_photo_01']."</td>\n";
		echo "<td class='tbl2' style='padding: 5px;'>: <select name='tr_news_enabled' class='textbox'>\n";
		echo "<option value='0'".($trsettings['tr_news_enabled'] == "0" ? " selected='selected'" : "").">".$locale['tr_photo_01b']."</option>\n";
		echo "<option value='1'".($trsettings['tr_news_enabled'] == "1" ? " selected='selected'" : "").">".$locale['tr_photo_01a']."</option>\n";
		echo "</select>\n</td>\n</tr>\n";
		// Position
		echo "<tr>\n";
		echo "<td class='tbl2' style='padding: 5px;'>".$locale['tr_photo_02']."</td>\n";
		echo "<td class='tbl2' style='padding: 5px;'>: <select name='tr_news_position' class='textbox'>\n";
		echo "<option value='0'".($trsettings['tr_news_position'] == "0" ? " selected='selected'" : "").">".$locale['tr_news_01a']."</option>\n";
		echo "<option value='1'".($trsettings['tr_news_position'] == "1" ? " selected='selected'" : "").">".$locale['tr_art_01b']."</option>\n";
		echo "</select>\n</td>\n</tr>\n";
		// Text to Display
		echo "<tr>\n";
		echo "<td class='tbl2' style='padding: 5px;'>".$locale['tr_photo_03']."</td>\n";
		echo "<td class='tbl2' style='padding: 5px;'>: <input type='text' value='".$trsettings['tr_news_text']."' name='tr_news_text' maxlength='100' size='50' /></td>";
		echo "</tr>\n";
		// Buttons
		echo "<tr>\n";
		echo "<td valign='top' class='tbl2' style='padding: 5px;'><input type='submit' name='save_settings' value='".$locale['tr_form_save']."' class='button' /></td>\n";
		echo "</tr>\n";
		echo "</table>\n</form>\n";

	// Author Copyright - Do Not Remove
	echo "<hr /><p align='center' style='font-weight: bold;'>\n";
	echo "<a href='".FUSION_SELF.$aidlink."&amp;checkupdate=1'>".$locale['ds_check_update']."</a> | <a href='http://ankurthakur.in/' target='_blank'>".$locale['ds_authorsite']."</a>";
	echo "</p>\n";

closetable();

require_once THEMES."templates/footer.php";
?>